Skip to main content
GET
/
beta
/
svm
/
portfolio
/
events
/
{userAddress}
/
{vaultAddress}
List SVM position events
curl --request GET \
  --url https://api.vaults.fyi/beta/svm/portfolio/events/{userAddress}/{vaultAddress} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.vaults.fyi/beta/svm/portfolio/events/{userAddress}/{vaultAddress}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.vaults.fyi/beta/svm/portfolio/events/{userAddress}/{vaultAddress}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "asset": {
    "address": "<string>",
    "name": "<string>",
    "symbol": "<string>",
    "decimals": 123,
    "assetLogo": "<string>"
  },
  "data": [
    {
      "timestamp": 123,
      "blockNumber": "<string>",
      "assetAmountNative": "<string>",
      "transactionHash": "<string>"
    }
  ],
  "items": 123
}
{
"statusCode": 123,
"error": "Bad Request",
"message": "<string>",
"errorId": "<string>"
}
{
"error": "Unauthorized",
"message": "An API key is required to access this service. Sign up at https://portal.vaults.fyi/signup to generate a key. We offer a Pay-As-You-Go plan so you only pay for what you use, with no commitments.",
"errorId": "<string>"
}
{
"x402Version": 123,
"resource": {
"url": "<string>",
"description": "<string>",
"mimeType": "<string>",
"serviceName": "<string>",
"tags": [
"<string>"
],
"iconUrl": "<string>"
},
"error": "<string>",
"accepts": [
{
"scheme": "exact",
"network": "<string>",
"amount": "<string>",
"payTo": "<string>",
"maxTimeoutSeconds": 123,
"asset": "<string>",
"extra": {
"name": "<string>",
"version": "<string>"
}
}
],
"extensions": {}
}
{
"error": "Forbidden",
"message": "This API key has exhausted its available credits. To resume service, please visit https://portal.vaults.fyi/signup to top-up your credits",
"errorId": "<string>"
}
{
"error": "Not Found",
"message": "<string>"
}
{
"message": "<string>",
"errorId": "<string>"
}
{
"statusCode": 123,
"error": "Unprocessable Entity",
"message": "<string>",
"errorId": "<string>"
}
{
"error": "Internal Server Error",
"message": "<string>",
"errorId": "<string>"
}
{
"statusCode": 123,
"error": "Service Unavailable",
"message": "<string>",
"errorId": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

userAddress
string
required

User wallet address. On SVM, this is the wallet account public key.

Pattern: ^[1-9A-HJ-NP-Za-km-z]{32,44}$
vaultAddress
string
required

Vault address. On SVM, this is the vault account public key.

Pattern: ^[1-9A-HJ-NP-Za-km-z]{32,44}$

Query Parameters

page
integer
default:0

Page number (starting from 0)

Required range: x >= 0
perPage
integer
default:50

Number of items per page

Required range: 0 < x <= 1000
fromTimestamp
integer

Minimum block timestamp in seconds

toTimestamp
integer

Maximum block timestamp in seconds

Response

Default Response

asset
object
required

Details of the vault asset

data
object[]
required

List of transaction events sorted by timestamp

items
number
required

Total number of transaction events